<template>
	<view class="content">
		<!-- <web-view v-if="loading" src="https://ikea-mrm.woaap.com/dist" bindload="bindload"  @onPostMessage="handlePostMessage()"></web-view> -->
		<img class="homemain" src="https://ikea-mrm.woaap.com/images/homem1.png" />
		<!-- <img class="homemain" src="https://ikea-mrm.woaap.com/images/homem1.png" @click="goTest" /> -->
		<view class="btngroup">
			<!-- <img @click="goList" class="btn" src="https://ikea-mrm.woaap.com/images/btnone.png"/> -->
			<button class="btn btnone" open-type="getUserInfo" @getuserinfo="goList"></button>
			<button class="btn btntwo" open-type="getUserInfo" @getuserinfo="getUserInfo"></button>
			<!-- <img @click="goPost"  class="btn" src="https://ikea-mrm.woaap.com/images/btntwo.png"/> -->
		</view>
		<view class="popup" v-if="isshow">
			<view class="popmain">
				<img class="onepop" src="https://ikea-mrm.woaap.com/images/onepop.png" />
				<img @click="closePop()" class="iknow" src="https://ikea-mrm.woaap.com/images/iknow.png" />
				<img @click="closePop()" class="oneclose" src="https://ikea-mrm.woaap.com/images/oneclose.png" />
			</view>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			statusBarHeight: getApp().globalData.statusBarHeight,
			userInfo: getApp().globalData.userInfo,
			uid: getApp().globalData.uid,
			isshow: true
		};
	},
	onShareAppMessage: function(res) {
		return {
			title: '宜家PLAY护照 限时申领中',
			path: 'pages/index/index',
			imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_passport.jpg'
		};
	},
	onLoad() {
		//判断是否授权---显示首页弹窗
		wx.getSetting({
			success: sres => {
				if (sres.authSetting['scope.userInfo']) {
					this.isshow = false;
				}
			}
		});
	},
	onShow() {
		getApp().td_app_sdk.event({
			id: 'huzhaofengmian',
			label: 'pv',
			params: {}
		});
	},
	methods: {
		goTest() {
			uni.navigateTo({
				url: '/pages/dreamstory/index'
				// url: '/pages/meatball/share'
			})
		},
		goMeatBall(){
			uni.navigateTo({
				url: '/pages/meatball/index'
			});
		},
		closePop() {
			this.isshow = false;
			getApp().td_app_sdk.event({
				id: '首页弹窗关闭',
				label: 'click'
			});
		},
		//获取用户是否完成 宣言
		getGameInfo(type) {
			wx.request({
				url: getApp().globalData.baseUrl + 'api/access.php?a=userinfo',
				method: 'POST',
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				data: {
					uid: getApp().globalData.uid
				},
				success: res => {
					console.log(res.data.data);
					if (res.data.data.tag == null) {
						uni.navigateTo({
							url: '/pages/userinfo/userinfo?type=' + type
						});
					} else {
						wx.setStorageSync('gameInfo', res.data.data);
						if (type == 1) {
							uni.navigateTo({
								url: '/pages/list/list'
							});
						} else {
							//测试
							// uni.redirectTo({
							// 	url:"/pages/cover/home"
							// })
							uni.navigateTo({
								url: '/pages/userinfo/userinfo2'
							});
						}
					}
				}
			});
		},
		goList(e) {
			getApp().td_app_sdk.event({
				id: '立即开玩',
				label: 'click'
			});
			//确认授权后 拿到 e.detail.userInfo  否则不做任何操作
			if (e.detail.userInfo) {
				getApp().globalData.userInfo = e.detail.userInfo;
				if (getApp().globalData.uid == '' || getApp().globalData.uid == undefined || getApp().globalData.uid == null) {
					this.checkLogin(1);
				} else {
					//没有完善宣言的要去完善宣言
					this.getGameInfo(1);
				}
			}
		},
		getUserInfo(e) {
			getApp().td_app_sdk.event({
				id: '晒出护照',
				label: 'click'
			});
			//确认授权后 拿到 e.detail.userInfo  否则不做任何操作
			if (e.detail.userInfo) {
				getApp().globalData.showpop = false; //关闭首页显示弹窗
				getApp().globalData.userInfo = e.detail.userInfo;
				if (getApp().globalData.uid == '' || getApp().globalData.uid == undefined || getApp().globalData.uid == null) {
					this.checkLogin(2);
				} else {
					// uni.navigateTo({
					// 	url:"/pages/post/notgame"
					// })

					//没有完善宣言的要去完善宣言
					this.getGameInfo(2);
				}
			}
		},
		checkLogin(type) {
			// 登录
			wx.showLoading({
				title: '登录中'
			});
			wx.login({
				success: lores => {
					// 发送 res.code 到后台换取 openId, sessionKey, unionId
					wx.request({
						url: getApp().globalData.baseUrl + 'api/code2session.php',
						method: 'POST',
						header: {
							'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
						},
						data: {
							code: lores.code,
							avatar: getApp().globalData.userInfo.avatarUrl,
							nickname: getApp().globalData.userInfo.nickName
						},
						success: res => {
							wx.hideLoading();
							console.log(res.data.data);
							getApp().globalData.uid = res.data.data.uid;
							this.uid = res.data.data.uid;
							this.getGameInfo(type);
						},
						fail: err => {
							console.log('login err === ', err);
							wx.hideLoading();
							// wx.showToast({
							// 	title: err.info,
							// 	icon: 'none'
							// });
							wx.showToast({
								title: '服务器错误',
								icon: 'none'
							});
						}
					});
				},
				fail: err => {
					wx.hideLoading();
					wx.showToast({
						title: '失败',
						icon: 'none'
					});
				}
			});
		}
	}
};
</script>

<style lang="less">
.popup {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: rgba(#000000, 0.8);
	display: flex;
	justify-content: center;
	align-items: center;
	.popmain {
		width: 654rpx;
		height: 841rpx;
		position: relative;
		.onepop {
			width: 654rpx;
			height: 841rpx;
		}
		.iknow {
			width: 305rpx;
			height: 100rpx;
			position: absolute;
			bottom: 75rpx;
			left: 50%;
			transform: translate(-50%, 0);
		}
		.oneclose {
			width: 40rpx;
			height: 40rpx;
			position: absolute;
			top: 25rpx;
			right: 25rpx;
		}
	}
}
.content {
	width: 100vw;
	height: 100vh;
	position: relative;
	background: #fed931;
	// width: 100%;
	// height: 1040upx;
	// text-align: center;
	// padding-top: 80upx;
	// position: absolute;
	// top: 50%;
	// transform: translate(0,-52%);
	.homemain {
		width: 678upx;
		height: 850upx;
		// margin: 0 auto;
		position: absolute;
		left: 50%;
		top: 50%;
		transform: translate(-50%, -65%);
	}
	.btngroup {
		width: 100%;
		position: fixed;
		bottom: 150upx;
		height: 105upx;
		margin-top: 57upx;
		padding: 0 46upx;
		box-sizing: border-box;
		display: flex;
		flex-direction: row;
		justify-content: space-between;
		.btn {
			width: 310upx;
			height: 100%;
			// display: flex;
			// justify-content: center;
			// align-items: center;
			// color:  #f3d02f;
			// font-size: 38upx;
			// border-radius:105upx;
		}
		.btnone {
			background: none;
			background-image: url(https://ikea-mrm.woaap.com/images/btnone.png);
			background-size: 100% 100%;
		}
		.btntwo {
			background: none;
			background-image: url(https://ikea-mrm.woaap.com/images/btntwo.png);
			background-size: 100% 100%;
		}
		.btn::after {
			border: none !important;
		}
	}
}
</style>
